Bug 99386 - gwave doesn't build on > 5.X
Summary: gwave doesn't build on > 5.X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-23 18:50 UTC by Stanislav Sedov
Modified: 2006-07-13 02:19 UTC (History)
1 user (show)

See Also:


Attachments
gwave.diff (6.12 KB, patch)
2006-06-23 18:50 UTC, Stanislav Sedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-06-23 18:50:21 UTC
	gwave is broken on > 5.X
	Also update version.
	Some options added.
Comment 1 Stanislav Sedov 2006-06-23 19:02:49 UTC
Hi!

I have submitted patch for you port of gwave. This port
was not updated for a long time and doesn't build on
FreeBSD version > 5.X.

Also, the I've bumped up the version of the program.

What do you think about this? Will you maintain the port?
If so, I would like to work with you to fix it.

Best regards,
Stanislav Sedov.
Comment 2 Duncan Barclay,Cambridge - United Kingdon,,+44 1223 871245 2006-06-25 20:32:20 UTC
Please go ahead and take over maintainence. I no longer have enough time to 
look after it.

----- Original Message ----- 
From: "Stanislav Sedov" <stas@310.ru>
To: <dmlb@dmlb.org>; <bug-followup@freebsd.org>
Sent: Friday, June 23, 2006 7:02 PM
Subject: Re: ports/99386: gwave doesn't build on > 5.X


> Hi!
>
> I have submitted patch for you port of gwave. This port
> was not updated for a long time and doesn't build on
> FreeBSD version > 5.X.
>
> Also, the I've bumped up the version of the program.
>
> What do you think about this? Will you maintain the port?
> If so, I would like to work with you to fix it.
>
> Best regards,
> Stanislav Sedov.
>
>
>
Comment 3 Stanislav Sedov 2006-06-25 21:45:26 UTC
On Sun, 25 Jun 2006 20:32:20 +0100
"Duncan Barclay" <dmlb@dmlb.org> wrote:

> Please go ahead and take over maintainence. I no longer have enough time =
to=20
> look after it.
>=20

I'll take maintance. Thanks for you reply.

--=20
Stanislav Sedov         MBSD labs, Inc.         <ssedov@mbsd.msk.ru>
=F2=CF=D3=D3=C9=D1, =ED=CF=D3=CB=D7=C1         http://mbsd.msk.ru

--------------------------------------------------------------------
If the facts don't fit the theory, change the facts.  -- A. Einstein
--------------------------------------------------------------------
PGP fingerprint:  F21E D6CC 5626 9609 6CE2  A385 2BF5 5993 EB26 9581
Comment 4 Shaun Amott freebsd_committer 2006-06-25 22:13:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Take it.
Comment 5 Stanislav Sedov 2006-07-09 16:47:23 UTC
Latest tarball of the port is available on
http://mbsd.msk.ru/dist/gwave.tar.bz2

I've modified it slightly.

Also, I'll take the maintaince.

Path against CVS available here:
http://mbsd.msk.ru/dist/gwave.diff
Comment 6 Shaun Amott freebsd_committer 2006-07-13 02:19:11 UTC
State Changed
From-To: open->closed

Committed, thanks!